'Change PO API' Errors with 'Multi-Org profile options' as Org Context Is Not Set Correctly (Doc ID 732671.1)

Last updated on AUGUST 21, 2016

Applies to:

Oracle Purchasing - Version 12.0.4 and later
Information in this document applies to any platform.
***Checked for relevance on 25-May-2015***


Symptoms

When attempting to change the promised_date of a Purchase Order using the 'Change PO API' the following error occurs:

Unable to process your transaction. The operating unit is either invalid or it cannot be derived. Please verify your Multi-Org profile options.
ORA-20001: SQL_PLSQL_ERROR: N, ROUTINE, MO_GLOBAL.VALIDATE_ORGID_PUB_API, N,ERRNO, -20001, N, REASON, ORA-20001: in Package PO_CHANGE_API1_S Procedure
UPDATE_PO

 

Steps to reproduce :

1 - Run Change PO API to modify promised_date on an existing Purchase Order

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms